<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

class TotalTx extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'tx {count}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Get Transaction details';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $this->getTxd($this->argument('count'));

        return 0;
    }

    public function txd($date) { // [Deposit, Withdraw]
        return [
            \App\Transaction::whereDate('created_at', $date)->whereType('deposit')->whereStatus('success')->sum('amount'),
            bcadd(
                \App\Transaction::whereDate('created_at', $date)->whereType('withdraw')->whereStatus('success')->sum('amount'),
                \App\FeeTransaction::whereDate('created_at', $date)->whereType('withdraw')->whereStatus('success')->sum('amount')
            )
        ];
    }

    public function getTxd($count) {
        $table = [];
        $total_deposit = 0;
        $total_withdraw = 0;

        for ($i = $count; $i > 0; $i--) {
            $datesub = now()->subDays($i);
            $result = $this->txd($datesub);

            $total_deposit += $result[0];
            $total_withdraw += $result[1];

            $table[] = [$datesub->format('Y-m-d'), number_format($result[0]), number_format($result[1]), number_format(bcsub($result[0], $result[1]))];
        }

        $table[] = ['', '', ''];
        $table[] = ['Total', number_format($total_deposit), number_format($total_withdraw), number_format(bcsub($total_deposit, $total_withdraw))];
        $this->table(['Date', 'Deposit', 'Withdraw', 'PNL'], $table);
    }
}
