<?php

namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        //
    ];

    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
        $schedule->command('game:run BTCUSDT 1')->cron('*/1 * * * *');
        $schedule->command('game:run BTCUSDT 3')->cron('*/3 * * * *');
        $schedule->command('game:run BTCUSDT 5')->cron('*/5 * * * *');

        $schedule->command('game:run GBPAUD 1')->cron('*/1 * * * *');
        $schedule->command('game:run GBPAUD 3')->cron('*/3 * * * *');
        $schedule->command('game:run GBPAUD 5')->cron('*/5 * * * *');
    }

    /**
     * Register the commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        $this->load(__DIR__.'/Commands');

        require base_path('routes/console.php');
    }
}
