<?php

namespace App\Http\Middleware;

use Auth;
use Closure;
use App\AdminIp;

class CheckBranch
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (!$request->user()->isBranch() && !$request->user()->isMaster()) {
            Auth::logout();
            return redirect()->route('login');
        }

        if ($request->user()->isMaster()) {
           if (!AdminIp::whereIpAddr($request->ip())->exists()) {
               Auth::logout();
               return redirect()->route('main');
           }
        }
        return $next($request);
    }
}
