<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Transaction extends Model
{
    protected $fillable = [
        'user_id', 'type', 'amount', 'info', 'status',
    ];

    protected $tx_model = 'normal';

    public function getTxModelAttribute()
    {
        return $this->tx_model;
    }

    public function user()
    {
        return $this->belongsTo('App\User');
    }

    public function isDeposit()
    {
        return $this->type == 'deposit';
    }

    public function isWithdraw()
    {
        return $this->type == 'withdraw';
    }

    public function isSuccess()
    {
        return $this->status == 'success';
    }

    public function isFailed()
    {
        return $this->status == 'failed';
    }
}
