<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateGameResultsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('game_results', function (Blueprint $table) {
            $table->id();
            $table->string('type')->index(); // 1, 3, 5
            $table->unsignedInteger('round')->index(); // YYMMDD0001
            $table->string('result'); // up, down, unrealized
            $table->decimal('open', 16, 8);
            $table->decimal('close', 16, 8);
            $table->boolean('manual_insert');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('game_results');
    }
}
