<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTablesSymbolColumn extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('bettings', function (Blueprint $table) {
            $table->string('symbol')->index()->after('user_id');
        });

        Schema::table('game_results', function (Blueprint $table) {
            $table->string('symbol')->index()->after('id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('bettings', function (Blueprint $table) {
            $table->dropColumn('symbol');
        });

        Schema::table('game_results', function (Blueprint $table) {
            $table->dropColumn('symbol');
        });
    }
}
