@extends('layouts.app')

@section('page.name', 'login')

@section('content')
<div class="container py-3">
    <div class="row">
        <div class="col-md-6 offset-md-3">
            <div class="card">
                <div class="card-header">
                    <span>{{ config('app.name') }} 로그인</span>
                </div>
                <div class="card-body">
                    <form method="POST" action="{{ route('login', [], false) }}">
                        @csrf

                        <div class="form-group row">
                            <label class="col-lg-3 col-form-label" for="account">아이디</label>
                            <div class="col-lg-9">
                                <input id="account" type="text" class="form-control{{ $errors->has('account') ? ' is-invalid' : '' }}" name="account" value="{{ old('account') }}" required autocomplete="account" autofocus>

                                @if ($errors->has('account'))
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('account') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-3 col-form-label" for="password">비밀번호</label>
                            <div class="col-lg-9">
                                <input id="password" type="password" class="form-control{{ $errors->has('password') ? ' is-invalid' : '' }}" name="password" required autocomplete="current-password">

                                @if ($errors->has('password'))
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('password') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div>
                            <div class="row justify-content-center">
                                <div class="col-6 col-lg-4">
                                    <a class="w-100 btn btn-outline-primary" href="{{ route('register') }}">회원가입</a>
                                </div>
                                <div class="col-6 col-lg-4">
                                    <button type="submit" class="w-100 btn btn-primary">로그인</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection