@extends('layouts.app')

@section('page.name', 'pw_change')

@section('content')
<div class="container py-4">
    <div class="row justify-content-center">
        <div class="col-md-8">
            @if($errors->old->all())
                @foreach ($errors->old->all() as $error)
                    <div class="alert alert-light-navy">
                        {{ $error }}
                    </div>
                @endforeach
            @endif

            <div class="card mb-3">
                <div class="card-body">
                    <h5 class="card-title text-center mb-4">{{ config('app.name') }} 비밀번호 변경</h5>

                    <form method="POST" action="{{ route('password.update') }}">
                        @csrf
                        @method('PATCH')
                        <input type="hidden" name="type" value="password">

                        <div class="form-group">
                            <label for="password_old">기존 비밀번호</label>
                            <input id="password_old" type="password" class="form-control{{ $errors->has('password_old') ? ' is-invalid' : '' }}" name="password_old" required>

                            @if ($errors->has('password_old'))
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $errors->first('password_old') }}</strong>
                                </span>
                            @endif
                        </div>

                        <div class="form-group">
                            <label for="password">새로운 비밀번호</label>
                            <input id="password" type="password" class="form-control{{ $errors->has('password') ? ' is-invalid' : '' }}" name="password" required>

                            @if ($errors->has('password'))
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $errors->first('password') }}</strong>
                                </span>
                            @endif
                        </div>

                        <div class="form-group">
                            <label for="password-confirm">비밀번호 확인</label>
                            <input id="password-confirm" type="password" class="form-control" name="password_confirmation" required autocomplete="new-password">
                        </div>

                        <div class="form-group mb-0">
                            <button type="submit" class="btn btn-primary col">변경</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection