@extends('layouts.app')

@section('page.name', 'register')

@push('scripts')
    <script>
        $(function() {
            new Cleave('.cleave-phone', {
                phone: true,
                phoneRegionCode: 'KR',
                delimiter: '-'
            });
        });
    </script>
@endpush

@section('content')
<div class="container py-3">
    <div class="row">
        <div class="col-md-10 offset-md-1">
            <div class="card">
                <div class="card-header">
                    <span>{{ config('app.name') }} 회원가입</span>
                </div>
                <div class="card-body">
                    <form method="POST" action="{{ route('register') }}">
                        @csrf

                        <div class="form-group row">
                            <label class="col-md-2 col-form-label" for="account">아이디</label>
                            <div class="col-md-10">
                                <input id="account" type="text" class="form-control{{ $errors->has('account') ? ' is-invalid' : '' }}" name="account" value="{{ old('account') }}" autofocus required>

                                @if ($errors->has('account'))
                                    <div class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('account') }}</strong>
                                    </div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-md-2 col-form-label" for="password">비밀번호</label>
                            <div class="col-md-10">
                                <input id="password" type="password" class="form-control{{ $errors->has('password') ? ' is-invalid' : '' }}" name="password" required autocomplete="new-password">

                                @if ($errors->has('password'))
                                    <div class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('password') }}</strong>
                                    </div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-md-2 col-form-label" for="password-confirm">비밀번호 확인</label>
                            <div class="col-md-10">
                                <input id="password-confirm" type="password" class="form-control" name="password_confirmation" required autocomplete="new-password">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-md-2 col-form-label" for="name">이름</label>
                            <div class="col-md-10">
                                <input id="name" type="text" class="form-control{{ $errors->has('name') ? ' is-invalid' : '' }}" name="name" value="{{ old('name') }}" required>

                                @if ($errors->has('name'))
                                    <div class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-md-2 col-form-label" for="phone">전화번호</label>
                            <div class="col-md-10">
                                <input id="phone" type="text" class="form-control cleave-phone{{ $errors->has('phone') ? ' is-invalid' : '' }}" name="phone" value="{{ old('phone') }}" inputmode="numeric" required>

                                @if ($errors->has('phone'))
                                    <div class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('phone') }}</strong>
                                    </div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-md-2 col-form-label" for="bank_owner">예금주</label>
                            <div class="col-md-10">
                                <input id="bank_owner" type="text" class="form-control{{ $errors->has('bank_owner') ? ' is-invalid' : '' }}" name="bank_owner" value="{{ old('bank_owner') }}" required>

                                @if ($errors->has('bank_owner'))
                                    <div class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('bank_owner') }}</strong>
                                    </div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-md-2 col-form-label" for="bank_name">은행</label>
                            <div class="col-md-10">
                                <select class="form-control{{ $errors->has('bank_name') ? ' is-invalid' : '' }}" name="bank_name" required>
                                    <option>선택</option>
                                    <option value="KB국민">KB국민</option>
                                    <option value="KEB하나">KEB하나</option>
                                    <option value="우리은행">우리은행</option>
                                    <option value="신한은행">신한은행</option>
                                    <option value="NH농협">NH농협</option>
                                    <option value="SC제일">SC제일</option>
                                    <option value="시티은행">시티은행</option>
                                    <option value="IBK기업">IBK기업</option>
                                    <option value="새마을금고">새마을금고</option>
                                    <option value="카카오뱅크">카카오뱅크</option>
                                    <option value="케이뱅크">케이뱅크</option>
                                    <option value="우체국">우체국</option>
                                    <option value="수협">수협</option>
                                    <option value="신협">신협</option>
                                    <option value="한국씨티은행">한국씨티은행</option>
                                    <option value="KDB산업은행">KDB산업은행</option>
                                    <option value="SBI저축은행">SBI저축은행</option>
                                    <option value="경남은행">경남은행</option>
                                    <option value="광주은행">광주은행</option>
                                    <option value="대구은행">대구은행</option>
                                    <option value="부산은행">부산은행</option>
                                    <option value="전북은행">전북은행</option>
                                    <option value="제주은행">제주은행</option>
                                    <option value="미래에셋대우">미래에셋대우</option>
                                    <option value="삼성증권">삼성증권</option>
                                    <option value="NH투자증권">NH투자증권</option>
                                    <option value="KB증권">KB증권</option>
                                    <option value="한국투자증권">한국투자증권</option>
                                    <option value="유안타증권">유안타증권</option>
                                    <option value="하나금융투자">하나금융투자</option>
                                    <option value="신한금융투자">신한금융투자</option>
                                    <option value="키움증권">키움증권</option>
                                    <option value="대신증권">대신증권</option>
                                </select>

                                @if ($errors->has('bank_name'))
                                    <div class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('bank_name') }}</strong>
                                    </div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-md-2 col-form-label" for="bank_address">계좌번호</label>
                            <div class="col-md-10">
                                <input id="bank_address" type="text" class="form-control{{ $errors->has('bank_address') ? ' is-invalid' : '' }}" name="bank_address" value="{{ old('bank_address') }}" inputmode="numeric" required>

                                @if ($errors->has('bank_address'))
                                    <div class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('bank_address') }}</strong>
                                    </div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-md-2 col-form-label" for="email">이메일</label>
                            <div class="col-md-10">
                                <input id="email" type="text" class="form-control{{ $errors->has('email') ? ' is-invalid' : '' }}" name="email" value="{{ old('email') }}" required>

                                @if ($errors->has('email'))
                                    <div class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('email') }}</strong>
                                    </div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-md-2 col-form-label" for="branch">추천지점</label>
                            <div class="col-md-10">
                                <input id="branch" type="text" class="form-control{{ $errors->has('branch') ? ' is-invalid' : '' }}" name="branch" value="{{ old('branch') }}" required>

                                @if ($errors->has('branch'))
                                    <div class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('branch') }}</strong>
                                    </div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group">
                            <label>개인정보수집 및 이용동의서</label>
                            <textarea rows="6" class="form-control" readonly>
정보통신망법 및 개인정보보호법, 관계법령에 따라 {{ config('app.name') }} 서비스 이용을 위한 회원가입을 신청하시는 고객님께 수집하는 개인정보의 항목, 수집 및 이용목적, 개인정보의 보유 및 이용기간을 안내드리오니 자세히 확인 후 동의하여 주시기 바랍니다.

1. 개인정보 수집.

회원가입 시점에 {{ config('app.name') }}이 이용자로부터 수집하는 개인정보는 아래와 같습니다.

1) 개인식별정보 : 고객의 성명, 생년월일, 연락처, 성별, 국적, CI(고유식별번호), DI, IP주소 등

2) 금융정보 : 은행명, 계좌번호 등

3) 선택항목 : 이메일, 주소 등

서비스 이용과정에서 이용자로부터 수집하는 개인정보는 아래와 같습니다.

1) 거래정보 : 개설정보, 예탁금, 거래내역 등

2) 이용정보 : 접속 IP 및 쿠키, 서비스 이용기록, 기기정보, OS정보 등

3) 투자자정보 :  투자권유준칙 등에 따른 투자자정보 및 투자성향 등

기타 고객상담, {{ config('app.name') }} 내의 개별 서비스 이용, 고객의 문의사항에 대한 응답, 이벤트 응모 및 경품 신청 과정에서 해당 서비스의 이용자에 한해 추가 개인정보 수집이 발생할 수 있습니다.

추가로 개인정보를 수집할 경우에는 해당 개인정보의 수집 시점에서 이용자에게 수집하는 개인정보 항목 및 이용목적 등에 대해 안내 드리고 동의를 받습니다.

2. 개인정보 이용

고객님의 개인정보는 회원관리, 서비스제공 및 개선, 신규 서비스 개발 등을 위해 이용됩니다.

회원가입 시 또는 서비스의 이용과정에서 홈페이지 또는 별도 절차를 통해 서비스 제공을 위해 필요한 최소한의 개인정보를 수집하고 있습니다.

- 회원 시벽/가입의사 확인, 본인/연력 확인, 부정이용 방지

- 인구통계학적 특성에 따른 분석 및 서비스 제공

- 신규 서비스 개발, 다양한 서비스 제공, 문의사항 또는 불만처리, 공지사항 전달

- 서비스의 원활한 운영에 지장을 주는 행위(계정 도용 및 부정 이용 행위 등 포함)에 대한 방지 및 제재

- 마케팅 및 광고 등에 활용

- 서비스 이용 기록, 접속 빈도 및 서비스 이용에 대한 통계, 프라이버시 보호 측면의

    서비스 환경 구축, 맞춤형 서비스 제공, 서비스 개선에 활용


※ 개인정보의 보유기간 및 처리기간

- 당사는 수집, 이용에 관한 동의일로부터 (금융)거래 종료일 또는 동의서의 이용목적 달성 시까지 보유, 이용됩니다.

- 이용목적이 달성된 후에는 법령상 의무를 준수하기 위해 불가피한 경우,

    분쟁가능성이 소멸되지 않은 경우, 고객의 이익을 위해 필요한 경우, 다른 법령에 따라 위탁된 업무 수행 시 연장하여 보관 및 처리할 수 있습니다.

3. 개인정보 파기

당사는 전자적 파일 형태인 경우 복구 및 재생되지 않도록 안전하게 삭제하고,

그 밖에 기록물, 인쇄물, 서면 등의 경우 분쇄하거나 소각하여 파기합니다.

다만, 내부 방침에 보관 후 파기하는 정보는 아래와 같습니다.

    1) 아래 정보는 탈퇴일로부터 최대 5년간 보관 후 파기합니다.

    - CS 문의 대응을 위해 계정 내 문의 내역 보관 및 일부 개인정보를 암호화 하여 보관.

    -서비스 부정이용 기록.

    -전자상거래 등에서의 소비자 보호에 관한 법률에 따른 렌트 계약 서비스 이용기록.

또한, 당사는 '개인정보 유효기간제' 에 따라 1년간 서비스를 이용하지 않은 회원의 개인정보를 별도로 분리 보관하고 있으며,

분리 보관된 개인정보는 3년간 보관 후 지체 없이 파기합니다.

당사는 보유기간이 경과한 개인정보는 정당한 사유가 없는 한 보유기간의 종료일로부터 5일 이내,

처리목적의 달성, 해당 서비스의 폐지, 사업의 종료 등으로

그 개인정보가 불필요하다고 인정되는 날로부터 5일 이내에 그 개인정보를 파기합니다.

다만, 문서철에 포함된 개인정보는 매분기 단위로 보존 필요성을 확인하여 파기할 수 있습니다.

서비스 제공을 위해 필요한 최소한의 개인정보이므로 동의를 해 주셔야 서비스 이용이 가능합니다.

이하) 개인정보 수집 및 이용 동의서 표준양식에 따릅니다.
                            </textarea>
                        </div>

                        <div class="form-group">
                            <label>서비스 이용약관</label>
                            <textarea rows="6" class="form-control" readonly>
제1장 총칙

제1조 (목적)

이 약관은 주식회사 {{ config('app.name') }}(이하: 회사)가 제공하는 관련 제반 서비스(이하: 서비스)의 이용조건 및 절차에 관한 회사와 회원 간의 권리 의무 및 책임사항, 기타 필요한 사항을 규정함을 목적으로 합니다.


제2조 (약관의 명시, 설명과 개정)

①이 약관의 내용은 회사의 서비스 회원가입 관련 사이트에 게시하거나 기타의 방법으로 이용자에게 공지하고, 이용자가 회원으로 가입하면서 이 약관에 동의함으로써 효력을 발생합니다.

②회사는 “약관의 규제에 관한 법률”, “정보통신망 이용촉진 및 정보보호 등에 관한 법률” 등 관련법을 위배하지 않는 범위에서 이 약관을 개정할 수 있습니다.

③회사가 약관을 개정할 경우에는 적용일자 및 개정 사유를 명시하여 현행 약관과 함께 회사 사이트의 초기화면이나 팝업화면 또는 공지사항으로 그 적용일자 7일 이전부터 공지합니다. 다만, 회원에게 불리하거나 중대한 내용의 변경의 경우에는 적용일자 30일 이전에 회원에게 알립니다.

④회사가 전항에 따라 개정약관을 공지하면서 회원에게 7일간의 기간 내에 의사 표시를 하지 않으면 의사표시가 표명된 것으로 본다는 뜻을 명확하게 공지하였음에도 회원이 명시적으로 거부의 의사표시를 하지 아니한 경우 회원이 개정약관에 동의한 것으로 봅니다.

⑤회원이 개정약관의 적용에 동의하지 않는다는 명시적 의사를 표명한 경우 회사는 개정 약관의 내용을 적용할 수 없으며, 이 경우 회원은 이용계약을 해지할 수 있습니다. 다만, 기존 약관을 적용할 수 없는 특별한 사정이 있는 경우에는 회사는 이용계약을 해지할 수 있습니다.


제3조 (약관 외 준칙)

회사는 서비스에 대하여 이 약관 외에 별도의 공지사항, 개별 약관, 개별 동의 사항, 이용안내, 운영정책, 세부지침 등(이하 통틀어 “세부지침”이라 합니다)을 정하여 이를 회원에게 알리거나 동의를 받을 수 있으며, 세부지침 중 회원의 동의를 받은 내용이 이 약관과 상충할 경우에는 “세부지침”이 우선하여 적용됩니다. 이 약관에서 정하지 아니한 사항이나 해석에 대해서는 “세부지침” 및 관련 법령 또는 상관례에 따릅니다.


제4조 (용어의 정의)

①이 약관에서 사용하는 용어의 정의는 다음과 같습니다.

1.회원: 이 약관을 승인하고 회원가입을 하여 회사와 서비스 이용계약을 체결한 자를 말합니다.

2.아이디(ID): 회원의 식별과 서비스 이용을 위하여 회원이 등록하는 전자우편 주소 또는 휴대전화 번호를 말합니다.

3.비밀번호: 회원의 동일성 확인과 회원정보의 보호를 위하여 회원이 회사가 승인한 문자와 숫자의 조합대로 설정한 것을 말합니다.

4.암호화폐: 암호화폐(cryptocurrency)란 교환 수단으로 기능하도록 고안된 디지털 자산(digital asset)으로서 암호화 방법을 사용하여 거래의 안전을 확보하고, 추가적 단위의 생성을 통제하며, 그 자산의 이전을 인증하는 것을 말하며 디지털화폐의 일종이다.

5.원화포인트(KRW) : 회원이 회사가 제공하는 결제수단을 이용하여 충전하고 암호화폐의 거래 등에 사용하며, 현금으로의 교환이 가능한 포인트입니다. 다만, 별도의 이자가 발생하지는 않습니다.




제2장 서비스 이용 신청 및 승낙 (회원가입 및 탈퇴)

제5조 (이용계약의 성립)

①이용자는 회사가 정한 가입 양식에 따라 회원정보를 기입한 후 이 약관에 동의한다는 의사표시를 함으로서 회원가입을 신청합니다.

②회원가입은 회사의 승낙이 회원에게 도달한 시점으로 합니다.

③이용 계약은 회원ID 단위로 체결합니다. 이용계약이 성립되면, 이용신청자는 회원으로 등록됩니다.

④실명이 아니거나 타인의 이름, 전화번호 등의 개인정보를 도용하여 허위 가입한 회원은 법적인 보호를 받을 수 없으며, 이에 따른 민사, 형사상의 모든 책임은 가입한 회원이 져야 합니다.

⑤만 19세 미만은 회사에서 제공하는 암호화폐 거래 관련 서비스 이용을 제한합니다.

⑥이용자가 국제자금세탁방지기구(FATF, Financial Action Task Force)에서 자금세탁방지 요주의 국가로 지정한 국가 또는 지역의 국민, 시민권자, 영주권자, 거주자 등인 경우 서비스 이용이 제한될 수 있으며, 회원은 다음 각 호를 보증합니다.

1.요주의 국가의 국민, 시민권자, 영주권자, 거주자 등이 아닐 것

2.요주의 국가 체류 중에 서비스를 이용하지 않을 것

⑦제1항에 따른 신청에 있어 회사는 필요 시 관계 법령에 의하여 이용자의 종류에 따라 전문기관을 통한 실명확인 및 본인인증을 요청할 수 있습니다. 만일, 이러한 회사의 제공 요청을 거부하여 이용자 본인임이 확인되지 않아 발생하게 되는 불이익에 대하여 회사는 책임을 지지 않습니다.


제6조 (이용신청)

①이용신청은 온라인으로 회사 소정의 가입신청 양식에서 요구하는 사항을 기록하여 신청합니다.

②온라인 가입신청 양식에 기재하는 모든 회원 정보는 실제 데이터인 것으로 간주하며 실명이나 실제 정보를 입력하지 않은 사용자는 법적인 보호를 받을 수 없으며, 서비스 사용의 제한을 받을 수 있습니다.

③사실과 다른 정보, 거짓 정보를 기입하거나 추후 그러한 정보임이 밝혀질 경우 회사는 서비스 이용을 일시 정지하거나 영구정지 및 이용 계약을 해지할 수 있습니다. 이로 인하여 회사 또는 제3자에게 발생한 손해는 해당 회원이 모든 책임을 집니다.


제7조 (회원정보 사용에 대한 동의 및 이용신청의 승낙)

①회원정보 사용에 대한 동의

1.회사는 회원의 개인정보를 본 이용계약의 이행과 본 이용계약상의 서비스제공을 위한 목적으로 이용합니다.

2.회원이 회사 및 회사와 제휴한 서비스들을 편리하게 이용할 수 있도록 하기 위해 회원 정보는 회사와 제휴한 업체에 제공될 수 있습니다. 단, 회사는 회원 정보 제공 이전에 제휴 업체, 제공 목적, 제공할 회원 정보의 내용 등을 사전에 공지하고 회원의 동의를 얻어야 합니다.

3.회원은 회원정보 수정을 통해 언제든지 개인 정보에 대한 열람 및 수정을 할 수 있습니다.

4.회원이 이용신청서에 회원정보를 기재하고, 회사에 본 약관에 따라 이용신청을 하는 것은 회사가 본 약관에 따라 이용신청서에 기재된 회원정보를 수집, 이용 및 제공하는 것에 동의하는 것으로 간주됩니다.

5.휴대폰번호는 나이스 평가 정보에서 인증받은 휴대폰 번호를 사용하고 있습니다.

②이용신청의 승낙

1.회사는 회원이 회사 소정의 가입신청 양식에서 요구하는 모든 사항을 정확히 기재하여 이용신청을 한 경우 회원가입을 승낙할 수 있습니다. 단, 제2호, 제3호의 경우는 회사는 승낙을 유보하거나 승낙을 거절할 수 있습니다.

2.회사는 다음 각 호에 해당하는 이용신청에 대하여는 승낙을 유보할 수 있습니다.

가. 설비에 여유가 없는 경우

나. 기술상 지장이 있는 경우

다. 기타 회사의 사정상 이용승낙이 곤란한 경우

3.회사는 다음 각 호에 해당하는 이용신청에 대하여는 이를 승낙하지 아니 할 수 있습니다. 가. 이름이 실명이 아닌 경우

나. 다른 사람의 명의를 사용하여 신청한 경우

다. 이용 신청 시 필요내용을 허위로 기재하여 신청한 경우

라. 사회의 안녕질서 또는 미풍양속을 저해할 목적으로 신청한 경우

마. 회사가 정한 이용신청요건에 미비한 부분이 있었을 때


제8조 (이용계약의 중지 및 해지)

①이용계약은 회원 또는 회사의 해지에 의해 종료됩니다.

1.회원이 이용계약을 해지하고자 할 때에는 자신의 자산(암호화폐와 원화포인트) 전부를 외부로 이전한 후 회사에 해지 신청을 하여야 합니다.

2.회사는 회원이 아래의 사유에 해당하는 경우 상당한 기간을 정하여 최고 후 서비스 이용을 제한하거나 이용계약을 해지할 수 있습니다.

- 타인의 서비스 ID 및 비밀번호를 도용한 경우

- 서비스 운영을 고의로 방해한 경우

- 가입한 이름이 실명이 아닌 경우

- 회원이 사회적 공익을 저해할 목적으로 서비스를 이용하는 경우

- 타인의 명예를 손상시키거나 불이익을 주는 행위를 한 경우

- 서비스의 안정적 운영을 방해할 목적으로 다량의 정보를 전송하거나 광고성 정보를 전송하는 경우

- 정보통신설비의 오작동이나 정보 등의 파괴를 유발시키는 컴퓨터 바이러스 프로그램 등을 유포하는 경우

- 타인의 개인정보, 이용자ID 및 비밀번호로 부정하게 사용하는 경우

- 회사의 서비스 정보를 이용하여 얻은 정보를 회사의 사전 승낙없이 복제 또는 유통시키거나 상업적으로 이용하는 경우

- 같은 사용자가 다른 ID로 이중등록을 한 경우

- 회사, 다른 회원 또는 제3자의 지식재산권을 침해하는 경우

- 방송통신심의위원회 등 외부기관의 시정요구가 있거나 불법선거운동과 관련하여 선거관리위원회의 유권해석을 받은 경우

- 이용자에 대한 개인정보를 그 동의 없이, 수집, 저장, 공개하는 경우

- 회원의 서비스 이용이 범죄와 결부된다고 객관적으로 판단되는 경우

- 수수료 등 이익을 얻을 목적으로 타인을 대행하여 암호화폐를 거래 하는 경우

- 회원의 행위가 기타 관계 법령에 위배되는 경우

위장 주문 등을 비롯하여 시장 조작 행위에 가담한 경우

회원이 당사에 납부할 의무가 있는 금원 등을 체불하고 있는 경우

②서비스 이용 중지 또는 제한 절차

1.회사는 이용제한을 하고자 하는 경우에는 그 사유, 일시 및 기간을 정하여 서면(전자우편 포함) 또는 전화, 홈페이지의 메시지 기능 등의 방법을 이용하여 해당 회원 또는 대리인에게 통지합니다.

2.다만, 회사가 긴급하게 이용을 중지해야 할 필요가 있다고 인정하는 경우에는 전항의 과정 없이 서비스 이용을 제한할 수 있습니다.

3.서비스 이용중지를 통지 받은 회원 또는 그 대리인은 이용중지에 대하여 이의가 있을 경우 이의 신청을 할 수 있습니다.

4.회사는 이용중지 기간 중에 그 이용중지 사유가 해소된 것이 확인된 경우에 한하여 이용중지 조치를 즉시 해제합니다.

③이용계약 해지

1.회사가 서비스 이용을 중지 또는 제한 시킨 후 동일한 행위가 2회 이상 반복되거나 30일 이내에 그 사유가 시정되지 아니하는 경우 회사는 이용계약을 해지할 수 있습니다.

2.회사가 이용계약을 해지하는 경우에는 회원등록을 말소합니다. 회사는 이 경우 회원에게 이를 통지하고, 회원등록 말소 전에 소명할 기회를 부여합니다.


제9조 (회원정보의 변경)

①회원은 개인정보 수정화면을 통하여 언제든지 본인의 개인정보를 열람하고 수정할 수 있습니다. 다만, 서비스 관리를 위해 필요한 실명, 생년월일, 성별, 아이디 등은 수정이 불가능합니다.

②회원은 회원가입 신청 시 기재한 사항이 변경되었을 경우 온라인으로 수정을 하거나 전자우편 기타 방법으로 회사에 대하여 그 변경사항을 알려야 합니다.

③제2항의 변경사항을 회사에 알리지 않아 발생한 불이익에 대하여 회사는 책임지지 않습니다.


제3장 회원의 의무

제10조 (회원 아이디와 비밀번호 관리에 대한 회원의 의무)

①아이디와 비밀번호에 관한 모든 관리책임은 회원에게 있습니다. 회원에게 부여된 아이디와 비밀번호의 관리소홀, 부정사용에 의하여 발생하는 모든 결과에 대한 책임은 회원에게 있으며, 회사는 이에 대한 책임을 지지 않습니다. 다만, 회사의 고의 또는 과실로 인한 경우에는 그러하지 아니합니다.

②회원은 자신의 아이디가 부정하게 사용된 사실을 알게 될 경우 반드시 회사에 그 사실을 통지하고 회사의 안내에 따라야 합니다.

③제2항의 경우에 해당 회원이 회사에 그 사실을 통지하지 않거나, 통지한 경우에도 회사의 안내에 따르지 않아 발생한 불이익에 대하여 회사는 책임지지 않습니다.


제11조 (정보의 제공)

회사는 유∙무선전화, 전자우편, 문자서비스(LMS/SMS), SNS 등의 방법으로 다음과 같은 서비스에 대해서 이용편의를 위한 이용안내 및 상품에 관한 정보를 제공할 수 있습니다. 이 경우 회원은 언제든지 수신을 거부할 수 있습니다.

①암호화폐 거래 관련 서비스

②이벤트 및 행사관련 등의 서비스

③기타 회사가 수시로 결정하여 회원에게 제공하는 서비스


제4장 서비스 이용 총칙

제12조 (서비스의 종류)

①회사에서 제공하는 서비스에는 암호화폐 파생상품 거래 (판매관련, 구매관련, 거래API제공, 시세 정보검색 관련 서비스) 서비스, 컨텐츠 서비스 등이 있습니다.

②회사가 제공하는 서비스의 종류는 회사의 사정에 의하여 수시로 변경될 수 있으며, 제공되는 서비스에 대한 저작권 및 지식재산권은 회사에 귀속됩니다.

③회사는 서비스와 관련하여 회원에게 회사가 정한 이용조건에 따라 계정, 아이디, 서비스, 포인트 등을 이용할 수 있는 이용권한만을 부여하며, 회원은 이를 활용한 유사 서비스 제공 및 상업적 활동을 할 수 없습니다.


제13조 (서비스 내용의 공지 및 변경)

①회사는 서비스의 종류에 따라 각 서비스의 특성, 절차 및 방법에 대한 사항을 서비스 화면을 통하여 공지하며, 회원은 회사가 공지한 각 서비스에 관한 사항을 이해하고 서비스를 이용해야 합니다.

②회사는 상당한 이유가 있는 경우에 운영상, 기술상의 필요에 따라 제공하고 있는 개별 서비스의 전부 또는 일부를 변경할 수 있습니다. 이 경우 회사는 최소 7일전에 해당 내용을 이용자에게 알립니다.


제14조 (서비스의 유지 및 중지)

①서비스의 이용은 회사의 업무상 또는 기술상 특별한 지장이 없는 한 연중무휴 1일 24시간을 원칙으로 합니다. 다만 정기 점검 등의 필요로 회사가 사전에 고지하여 정한 날이나 시간은 그러하지 않습니다.

②회사는 서비스를 일정범위로 분할하여 각 범위 별로 이용가능 시간을 별도로 정할 수 있습니다. 이 경우 그 내용을 사전에 공지합니다.

③회사는 다음 각 호에 해당하는 경우 서비스 제공을 중지할 수 있습니다. 이 경우 회사는 불가피한 경우가 아닌 한 서비스 제공 중지를 사전 고지합니다.

1.서비스용 설비의 보수 등 공사로 인한 부득이한 경우

2.전기통신사업법에 규정된 기간통신사업자가 전기통신 서비스를 중지했을 경우

3.회사가 직접 제공하는 서비스가 아닌 제휴업체 등의 제3자를 이용하여 제공하는 서비스의 경우 제휴 업체등의 제3자가 서비스를 중지했을 경우

4.기타 불가항력적 사유가 있는 경우

④회사는 국가비상사태, 정전, 서비스 설비의 장애 또는 서비스 이용의 폭주 등으로 정상적인 서비스 이용에 지장이 있는 때에는 서비스의 전부 또는 일부를 제한하거나 정지할 수 있습니다.


제15조 (회원의 결제 이용 제한)

①회사는 다음 각호에 해당하는 경우 회원의 결제 이용을 제한할 수 있습니다.

1.자금의 출처가 불법적인 것으로 확인되는 경우

2.시장 조작 행위가 확인되는 경우

3.결제서비스의 제공사 및 발행사의 요청이 있는 경우

②위의 경우에 해당하는 경우 회사는 해당 내용을 회원에게 홈페이지 공지 등의 방법을 통해 알립니다.

③제한사유가 중복발생 시에는 모든 제한해지조건을 갖추었을 경우에 한해 해지 처리할 수 있습니다.


제16조 (회원의 입금 및 출금 이용제한)

①회사는 다음 각 호에 해당하는 경우 회원의 입금 및 출금 이용을 제한하거나 지연하여 승인할 수 있습니다.

1.가입 회원명과 입금자명이 다르게 입금되었을 경우

2.회사가 정한 서비스 이용권한의 범위를 벗어난 경우

3.경찰, 국세청 등의 국가기관과 금융기관으로부터 회원의 계정이 불법행위에 이용된 것으로 의심된다는 정보의 제공이 있는 경우

②위의 경우에 해당하는 경우 회사는 해당 내용을 회원에게 홈페이지 공지 등의 방법을 통해 알립니다.

③이용제한 및 지연 사유가 중복 발생시에는 관리자 또는 운영자가 요구하는 해제조건을 갖추었을 경우에 한해 해제 처리할 수 있습니다.





제5장 암호화폐 거래관련 서비스 이용

제17조 (암호화폐 거래 등)

①회사가 제공하는 서비스를 통하여 암호화폐를 판매 또는 구매하고자 하는 회원은 회사가 제공하는 등록 양식에 따라 거래를 등록하여야 합니다.

②부가서비스의 이용

1.암호화폐를 판매하고자 하는 회원은 거래등록 시 보다 효과적인 판매를 위하여 회사가 제공하는 부가 서비스를 신청할 수 있습니다. 부가서비스의 구체적인 내용에 대해서는 회사가 따로 정하는 바에 의합니다.

2.암호화폐의 판매/구매와 관련되어 회사가 회원에게 제공하는 모든 서비스는 각 회원 개인의 편의 증진을 위한 이용권한만을 부여하며, 서비스 이용권한의 범위를 벗어나는 모든 유사 서비스 제공 및 상업적 활용은 금지됩니다.


제18조 (거래 서비스 이용제한)

회사는 아래의 기준에 따라 회원의 서비스 이용을 제한할 수 있습니다. 이 경우 회사는 그 사유, 일시 및 기간을 정하여 회원이 서비스 이용 제한에 대하여 통지일로부터 7일간 이의를 신청할 수 있습니다.


구분

제한 사유

해제 조건

정지 효력

서비스 제한(로그인 外 서비스이용 불가)

①명의(연락처) 미확인

②해킹/사기 사고 발생

③사고회원 관련자

④결제보안 연속오류

⑤탈퇴 신청

⑥ 기타: 단전, 통신불가, 해킹 등의 사고에 의한 불가항력적 장애로 인한 정상적인 서비스 진행에 심각한 장애 유발시

정지 사유 해결 후 관리자 판단

로그인 이외의 거래, 충전, 환급 불가

로그인 제한

① 비밀번호 연속 오류

② 해킹/사기 사고 발생

③ 명의도용으로 의심되는 경우

④ 자금세탁을 위하여 거래로 의심되는 경우

정지 사유 해결 후 관리자 판단

로그인불가

일부 서비스 제한(매수, 매도, 충전, 환급 제한)

①회원이 미성년자인 경우

②회원 본인의 요청이 있는 경우

③ 보이스피싱 등의 범죄 또는 금융사고와 관련있거나 관련성에 합리적인 의심이 드는 경우

④ 법률상 원인없이 KRW나 암호화폐를 취득한 자

⑤출금신청시 계좌정보가 일치하지 않거나, 본인인증이 불가한 경우

⑥ 출금신청자의 계정이 본인 계정이 아닐 경우

⑦ 해킹 또는 당사에서 인가하지 않은 프로그램을 사용하여 이득을 취하였다고 의심되는 경우

정지 사유 해결 후 관리자 판단

특정서비스 이용 불가


제6장 서비스 이용 수수료

제19조 (암호화폐 거래 관련 서비스 수수료의 내용)

1. 회사는 회원에게 인터넷을 통한 서비스를 제공하는 대가로 수수료를 부과합니다.

2. 수수료는 회사의 홈페이지내 사용안내 및 운영규칙, 이용안내 등에 명시되어 있으며, 회사 및 시장의 상황에 따라 변경될 수 있습니다.

3. 회사는 새로운 서비스 교체 또는 기타 회사가 서비스를 제공할 수 없는 사유 발생시 제공되는 서비스를 중단할 수 있습니다.


제7장 개인정보 보호

제20조 (개인정보의 보호)

1. 회원의 개인 정보에 대해서는 회사의 “개인정보처리방침”이 적용됩니다. 회원이 이용 신청서에 회원정보를 기재하고, 회사에 본 약관에 따라 이용 신청 하는 것은 회사가 본 약관 및 “개인정보취급방침”에 따라 이용신청서에 기재된 회원정보를 수집, 이용 및 제공하는 것에 동의하는 것으로 간주됩니다. 회원정보의 관리 책임자는 회사가 정하는 운영자입니다.

2. 회원이 회사 및 회사와 제휴한 서비스들을 유용하고 편리하게 이용할 수 있도록 하기 위해 회사는 본 계약에 정해진 절차에 따라 회원 정보를 이용하거나 회사와 제휴한 업체에 제공할 수 있습니다. 단, 회사는 전기통신 기본법 등 법률의 규정에 의해 국가기관의 요구가 있는 경우, 범죄에 대한 수사상의 목적이 있거나 정보통신윤리위원회의 요청이 있는 경우 또는 기타 관계법령에서 정한 절차에 따른 요청이 있는 경우를 제외하고는 언제나 제휴 업체, 제공 목적, 제공할 회원 정보 내용 등을 사전에 공지하고 회원의 동의를 얻은 경우에 한하여 회원의 정보를 제3자에게 공개하거나 배포합니다. 단, 자율거래시 거래가 정상적으로 성사 되어 쌍방 당사자간에 거래와 관련된 상호 정보를 교환하는 경우에 본 조항의 제한이 적용되지 않습니다.

3. 이용 신청자 또는 회원이 이용 신청 시 기재한 신상정보가 변경 되었을 경우에는 즉시 운영자 또는 회원정보 변경 창을 통해서 관련사항을 수정하여야 합니다. 단, 아이디와 실명, 생년월일, 성별, 이멜일 주소 등은 신용관리상 변경할 수 없습니다.

4. 전항의 경우, 수정하지 않은 정보로 인한 각종 손해는 당해 회원이 부담하며, 회사는 이에 대하여 아무런 책임을 지지 않습니다.

5. 회원의 이용계약 해지는 제8조에 따르며, 이용계약이 해지된 경우 회원의 신상정보는 전자상거래 등에서의 소비자보호에 관한 법률 등 관계법령에서 정한 기간 동안 보관하며 이후에는 삭제합니다.

6. 회사는 개인정보를 파기하여야 할 의무가 있는 경우라도 상법 등 관계법령의 규정에 의하여 보존할 필요가 있는 경우에는 관계법령에 정한 기간 동안 회원의개인 정보를 보관합니다.

7. 회원의 제공한 개인정보는 회원의 동의 없이 목적 외의 이용으로 제공할 수 없습니다. 단, 다음의 경우는 예외로 합니다.

가. 암호화폐 대금 결제와 수수료 청구를 위해 납부 대행사에 개인정보를 제공하는 경우

나. 법률적 증거자료로서 행정기관이나 수사기관 등에 제공하는 경우(법적인 절차에 따라 제공할 수 있습니다.)


제8장 손해배상 및 면책조항

제21조 (회사의 면책사항 및 손해배상)

①회사는 서비스와 관련하여 이 약관에 명시되지 않은 어떠한 사항에 대하여 보증을 하지 않습니다. 또한, 회사는 회사가 발행하거나 지급을 보증하지 아니한 암호화폐의 가치를 보증하지 않습니다.

②회사는 천재지변, 디도스(DDoS) 공격, IDC장애, 서비스 접속의 폭등으로 인한 서버 다운, 기간통신사업자의 회선 장애 등 기타 불가항력적인 사유로 서비스를 제공할 수 없는 경우에는 서비스 제공에 관한 책임이 면제됩니다. 다만, 회사의 고의 또는 과실이 있는 경우에는 그러하지 아니합니다.

③회사는 블록체인의 문제, 암호화폐 발행 관리 시스템 자체의 하자 또는 기술적 문제, 통신서비스 업체의 불량, 정기적인 서버점검 등으로 인하여 불가피하게 장애가 발생하였을 경우에 책임을 지지 않습니다. 다만, 회사의 고의 또는 과실에 의한 경우에는 그러하지 아니합니다.

④회사는 회원의 귀책사유로 인한 서비스 이용 장애나 그 결과에 대하여는 책임을 지지 않습니다. 다만, 회원에게 정당한 사유가 있는 경우에는 그러하지 아니합니다.

⑤회사는 회원간 또는 회원과 제3자 상호간에 서비스를 매개로 하여 거래 등을 한 경우에는 책임이 면제됩니다. 다만, 회사의 고의 또는 과실이 있는 경우에는 그러하지 아니합니다.

⑥회사는 무료로 제공되는 서비스 이용과 관련하여 관련법에 특별한 규정이 없거나 회사의 고의 또는 과실이 없는 한 책임을 지지 않습니다.

⑦회사는 안정적인 서비스 제공을 위해 정기적, 비정기적 또는 긴급한 서버 점검을 실시할 수 있습니다. 만약 서버 점검 완료 후 국내외 암호화폐 거래소의 암호화폐 시세와 서비스상의 구매 / 판매 대기 주문의 암호화폐 시세가 비정상적으로 차이가 날 경우, 회사는 회원을 보호하기 위하여 내부 정책에 따라 대기 주문 건을 취소할 수 있습니다.

⑧누구든지 서비스 오류, 전산장애 또는 기타 사유로 인하여 제3자 소유의 암호화폐를 권한 없이 취득하거나 전송 받게 될 경우, 회사는 당사자에게 사전 통지 후 해당 암호화폐를 회수하거나 원상회복 시키는 등 필요한 조치를 취할 수 있습니다.

⑨회원이 회사에게 손해배상을 청구할 경우 회사는 회원과 합의하여 회원의 전자지갑으로 암호화폐 또는 원화포인트(KRW)를 지급하는 방법으로 회원의 손해를 배상할 수 있습니다.

⑩ 회원이 서비스와 관련하여 게재한 정보나 자료 등의 신뢰성, 정확성 등에 대하여 회사는 고의 또는 중대한 과실이 없는 한 책임을지지 않습니다.

⑪ 회사는 회원이 서비스를 이용하여 기대하는 이익을 얻지 못하거나 상실한 것에 대하여 책임을지지 않습니다.

⑫ 회사는 회원이 아이디 및 비밀번호 등을 관리하지 않아 발생하는 제3자 서비스 이용 및 결제에 대해 책임을지지 않습니다. 다만, 회사의 고의 또는 과실에 의한 경우에는 그러하지 아니합니다.


제22조 (대리 및 보증의 부인)

①회사는 암호화폐를 판매하거나 구매하고자 하는 회원을 대리할 권한을 갖고 있지 않으며, 회사의 어떠한 행위도 판매자 또는 구매자의 대리 행위로 간주되지 않습니다.

②회사는 회사가 제공하는 서비스를 통하여 이루어지는 회원 간의 판매 및 구매와 관련하여 판매의사 또는 구매의사의 사실 및 진위, 적법성에 대하여 보증하지 않습니다.

③회사에 연결(링크)된 사이트(상품권몰, 유료컨텐츠 제공업체 등)는 회사와 계약을 통하여 제휴관계를 맺은 업체들로서 회사는 단지 제휴업체와의 연결(링크)만을 제공할 뿐이며, 제휴업체의 서비스 운영 및 관리, 물품의 판매, 배송 및 환불 등에 대한 모든 책임은 회사에 고의 또는 과실이 없는 한 제휴업체가 부담하고 회사는 일절 관여하지 않습니다.


제23조 (관할법원 및 준거법)

①본 서비스 이용 약관은 대한민국 법률에 따라 규율되고 해석되며, 회사의 요금체계 등 서비스 이용과 관련하여 회사와 회원 간에 발생한 분쟁으로 소송이 제기되는 경우 대한민국 법률이 적용됩니다.

②서비스 이용과 관련하여 회사와 회원 간에 발생한 소송의 경우 법령에 정한 절차에 따른 법원을 관할 법원으로 합니다.


제9장 기타

제24조 (기타)

① 당사가 작성한 저작물에 대한 저작권 및 기타 지적재산권은 당사에 귀속됩니다.

② 회원이 서비스 내에 게시한 게시물의 모든 권리 및 책임은 이를 게시한 회원에게 있습니다. 다만, 회원이 당사에 제공한 공개적인 게시물의 경우 회사가 복제, 수정, 전시, 배포, 출판 및 2차 저작물과 편집저작물의 작성 등을 할 수 있도록 사용료 없는 비 배타적인 사용권을 부여한 것에 상호 합의한 것으로 봅니다.


제25조(재분배 및 양도 금지)

회원은 회사의 서비스 이용 권한, 기타 이용계약상 지위를 타인에게 양도, 증여할 수 없으며 이를 담보로 제공할 수 없습니다.


부칙

①이 약관은 2020년 8월 1일부터 적용됩니다.
                            </textarea>
                        </div>

                        <div class="form-group">
                            <label>개인정보 처리 방침</label>
                            <textarea rows="6" class="form-control" readonly>
정보통신망법 및 개인정보보호법, 관계법령에 따라 {{ config('app.name') }} 서비스 이용을 위한 회원가입을 신청하시는 고객님께 수집하는 개인정보의 항목, 수집 및 이용목적, 개인정보의 보유 및 이용기간을 안내드리오니 자세히 확인 후 동의하여 주시기 바랍니다.

1. 개인정보 수집.

회원가입 시점에 {{ config('app.name') }}이 이용자로부터 수집하는 개인정보는 아래와 같습니다.

1) 개인식별정보 : 고객의 성명, 생년월일, 연락처, 성별, 국적, CI(고유식별번호), DI, IP주소 등

2) 금융정보 : 은행명, 계좌번호 등

3) 선택항목 : 이메일, 주소 등

서비스 이용과정에서 이용자로부터 수집하는 개인정보는 아래와 같습니다.

1) 거래정보 : 개설정보, 예탁금, 거래내역 등

2) 이용정보 : 접속 IP 및 쿠키, 서비스 이용기록, 기기정보, OS정보 등

3) 투자자정보 :  투자권유준칙 등에 따른 투자자정보 및 투자성향 등

기타 고객상담, {{ config('app.name') }} 내의 개별 서비스 이용, 고객의 문의사항에 대한 응답, 이벤트 응모 및 경품 신청 과정에서 해당 서비스의 이용자에 한해 추가 개인정보 수집이 발생할 수 있습니다.

추가로 개인정보를 수집할 경우에는 해당 개인정보의 수집 시점에서 이용자에게 수집하는 개인정보 항목 및 이용목적 등에 대해 안내 드리고 동의를 받습니다.

2. 개인정보 이용

고객님의 개인정보는 회원관리, 서비스제공 및 개선, 신규 서비스 개발 등을 위해 이용됩니다.

회원가입 시 또는 서비스의 이용과정에서 홈페이지 또는 별도 절차를 통해 서비스 제공을 위해 필요한 최소한의 개인정보를 수집하고 있습니다.

- 회원 시벽/가입의사 확인, 본인/연력 확인, 부정이용 방지

- 인구통계학적 특성에 따른 분석 및 서비스 제공

- 신규 서비스 개발, 다양한 서비스 제공, 문의사항 또는 불만처리, 공지사항 전달

- 서비스의 원활한 운영에 지장을 주는 행위(계정 도용 및 부정 이용 행위 등 포함)에 대한 방지 및 제재

- 마케팅 및 광고 등에 활용

- 서비스 이용 기록, 접속 빈도 및 서비스 이용에 대한 통계, 프라이버시 보호 측면의

    서비스 환경 구축, 맞춤형 서비스 제공, 서비스 개선에 활용


※ 개인정보의 보유기간 및 처리기간

- 당사는 수집, 이용에 관한 동의일로부터 (금융)거래 종료일 또는 동의서의 이용목적 달성 시까지 보유, 이용됩니다.

- 이용목적이 달성된 후에는 법령상 의무를 준수하기 위해 불가피한 경우,

    분쟁가능성이 소멸되지 않은 경우, 고객의 이익을 위해 필요한 경우, 다른 법령에 따라 위탁된 업무 수행 시 연장하여 보관 및 처리할 수 있습니다.

3. 개인정보 파기

당사는 전자적 파일 형태인 경우 복구 및 재생되지 않도록 안전하게 삭제하고,

그 밖에 기록물, 인쇄물, 서면 등의 경우 분쇄하거나 소각하여 파기합니다.

다만, 내부 방침에 보관 후 파기하는 정보는 아래와 같습니다.

    1) 아래 정보는 탈퇴일로부터 최대 5년간 보관 후 파기합니다.

    - CS 문의 대응을 위해 계정 내 문의 내역 보관 및 일부 개인정보를 암호화 하여 보관.

    -서비스 부정이용 기록.

    -전자상거래 등에서의 소비자 보호에 관한 법률에 따른 렌트 계약 서비스 이용기록.

또한, 당사는 '개인정보 유효기간제' 에 따라 1년간 서비스를 이용하지 않은 회원의 개인정보를 별도로 분리 보관하고 있으며,

분리 보관된 개인정보는 3년간 보관 후 지체 없이 파기합니다.

당사는 보유기간이 경과한 개인정보는 정당한 사유가 없는 한 보유기간의 종료일로부터 5일 이내,

처리목적의 달성, 해당 서비스의 폐지, 사업의 종료 등으로

그 개인정보가 불필요하다고 인정되는 날로부터 5일 이내에 그 개인정보를 파기합니다.

다만, 문서철에 포함된 개인정보는 매분기 단위로 보존 필요성을 확인하여 파기할 수 있습니다.

서비스 제공을 위해 필요한 최소한의 개인정보이므로 동의를 해 주셔야 서비스 이용이 가능합니다.

이하) 개인정보 수집 및 이용 동의서 표준양식에 따릅니다.
                            </textarea>
                        </div>

                        <div>
                            <small class="d-block text-center mb-3">회원가입시 모든 약관에 동의하는 것으로 간주합니다.</small>
                            <div class="row justify-content-center">
                                <div class="col-6 col-lg-2">
                                    <a class="w-100 btn btn-outline-primary" href="{{ route('login') }}">로그인</a>
                                </div>
                                <div class="col-6 col-lg-2">
                                    <button type="submit" class="w-100 btn btn-primary">회원가입</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
