@extends('layouts.branch')

@section('page.name', 'branches')

@push('scripts')
    <script>
        $(function() {
            $('#branches').DataTable();
        });
    </script>
@endpush

@section('content')
<div class="container-fluid py-3">
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    하부 지점
                </div>

                <div class="card-body table-responsive">
                    <div class="mb-3">
                        <a href="#createBranch" class="btn btn-primary" data-toggle="collapse">지점 생성</a>

                        <div class="collapse mt-3" id="createBranch">
                            <div>
                                <form action="{{ route('branch.branch.create') }}" method="POST" class="form-inline" autocomplete="off">
                                    @csrf

                                    <input type="text" class="form-control mb-2 mr-sm-2" name="account" placeholder="아이디">
                                    <input type="password" class="form-control mb-2 mr-sm-2" name="password" placeholder="비밀번호">
                                    <input type="text" class="form-control mb-2 mr-sm-2" name="name" placeholder="지점명">

                                    <button type="submit" class="btn btn-success mb-2">지점 생성</button>
                                </form>
                            </div>
                        </div>
                    </div>

                    <table id="branches" class="table table-hover text-nowrap text-center">
                        <thead>
                            <tr>
                                <th>지점명</th>
                                <th>상위지점</th>
                                <th>정산률</th>
                                <th>전날 정산금</th>
                                <th>오늘 정산금</th>
                                <th>보유 정산금</th>
                                <th>회원 목록</th>
                                <th>회원 거래내역</th>
                                <th>회원 입출금내역</th>
                            </tr>
                        </thead>

                        <tbody>
                            @forelse ($branches as $branch)
                                <tr>
                                    <td><a href="{{ route('branch.branch.main', $branch->user->id) }}">{{ $branch->user->name }} ({{ $branch->user->account }})</a></td>
                                    <td>{{ $branch->user->parentBranch->branchUser->name }} ({{ $branch->user->parentBranch->branchUser->account }})</td>
                                    <td>{{ $branch->user->fee_percent }} %</td>
                                    <td data-order="{{ $branch->user->myFees()->whereDate('created_at', date('Y-m-d', strtotime('yesterday')))->sum('amount') }}">{{ number_format($branch->user->myFees()->whereDate('created_at', date('Y-m-d', strtotime('yesterday')))->sum('amount')) }} 원</td>
                                    <td data-order="{{ $branch->user->myFees()->whereDate('created_at', date('Y-m-d'))->sum('amount') }}">{{ number_format($branch->user->myFees()->whereDate('created_at', date('Y-m-d'))->sum('amount')) }} 원</td>
                                    <td data-order="{{ $branch->user->fee_balance }}">{{ number_format($branch->user->fee_balance) }} 원</td>
                                    <td><a href="{{ route('branch.branch.user.list', $branch->user->id) }}">회원 목록</a></td>
                                    <td><a href="{{ route('branch.branch.trade.list', $branch->user->id) }}">회원 거래내역</a></td>
                                    <td><a href="{{ route('branch.branch.tx.list', $branch->user->id) }}">회원 입출금내역</a></td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="9">하부 지점이 없습니다</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
