@extends('layouts.branch')

@section('page.name', 'notice_form')

@push('scripts')
    <script>
        $(function() {
            $('#bet_close_btcusdt').change(function(e) {
                if (!confirm('설정을 변경하시겠습니까?')) {
                    $(this).prop('checked', !$(this).prop('checked'))
                    return;
                }

                axios.patch("{{ route('branch.config.update') }}", {
                    bet_close_btcusdt: !$(this).prop('checked')
                }).then(function (response) {
                    alert(response.data.message || '설정이 변경되었습니다');
                    location.reload();
                }).catch(function (error) {
                    if (error.response && error.response.data) {
                        alert(error.response.data.message);
                    } else {
                        alert('설정 변경에 실패하였습니다');
                    }
                });
            });

            $('#bet_close_gbpaud').change(function(e) {
                if (!confirm('설정을 변경하시겠습니까?')) {
                    $(this).prop('checked', !$(this).prop('checked'))
                    return;
                }

                axios.patch("{{ route('branch.config.update') }}", {
                    bet_close_gbpaud: !$(this).prop('checked')
                }).then(function (response) {
                    alert(response.data.message || '설정이 변경되었습니다');
                    location.reload();
                }).catch(function (error) {
                    if (error.response && error.response.data) {
                        alert(error.response.data.message);
                    } else {
                        alert('설정 변경에 실패하였습니다');
                    }
                });
            });

            $('.add-ban-ip').click(function(e) {
                e.preventDefault();

                if (!confirm('아이피 차단 내역을 추가하시겠습니까?')) {
                    $(this).prop('checked', !$(this).prop('checked'))
                    return;
                }

                axios.patch("{{ route('branch.config.update') }}", {
                    ban_ip_addr: $('#ban_ip_addr').val(),
                    action: 'add'
                }).then(function (response) {
                    alert(response.data.message || '아이피가 추가되었습니다');
                    location.reload();
                }).catch(function (error) {
                    if (error.response && error.response.data) {
                        alert(error.response.data.message);
                    } else {
                        alert('추가에 실패하였습니다');
                    }
                });
            });

            $('.remove-ban-ip').click(function(e) {
                e.preventDefault();

                if (!confirm('아이피 차단 내역을 삭제하시겠습니까?')) {
                    $(this).prop('checked', !$(this).prop('checked'))
                    return;
                }

                axios.patch("{{ route('branch.config.update') }}", {
                    ban_ip_addr: $('#ban_ip_addr').val(),
                    action: 'remove'
                }).then(function (response) {
                    alert(response.data.message || '아이피가 삭제되었습니다');
                    location.reload();
                }).catch(function (error) {
                    if (error.response && error.response.data) {
                        alert(error.response.data.message);
                    } else {
                        alert('삭제에 실패하였습니다');
                    }
                });
            });

            $('#ban_ip_addrs').change(function(e) {
                $('#ban_ip_addr').val($(this).val()[0]);
            });

            $('.add-admin-ip').click(function(e) {
                e.preventDefault();

                if (!confirm('운영자 아이피를 추가하시겠습니까?')) {
                    $(this).prop('checked', !$(this).prop('checked'))
                    return;
                }

                axios.patch("{{ route('branch.config.update') }}", {
                    admin_ip_addr: $('#admin_ip_addr').val(),
                    action: 'add'
                }).then(function (response) {
                    alert(response.data.message || '아이피가 추가되었습니다');
                    location.reload();
                }).catch(function (error) {
                    if (error.response && error.response.data) {
                        alert(error.response.data.message);
                    } else {
                        alert('추가에 실패하였습니다');
                    }
                });
            });

            $('.remove-admin-ip').click(function(e) {
                e.preventDefault();

                if (!confirm('운영자 아이피를 삭제하시겠습니까?')) {
                    $(this).prop('checked', !$(this).prop('checked'))
                    return;
                }

                axios.patch("{{ route('branch.config.update') }}", {
                    admin_ip_addr: $('#admin_ip_addr').val(),
                    action: 'remove'
                }).then(function (response) {
                    alert(response.data.message || '아이피가 삭제되었습니다');
                    location.reload();
                }).catch(function (error) {
                    if (error.response && error.response.data) {
                        alert(error.response.data.message);
                    } else {
                        alert('삭제에 실패하였습니다');
                    }
                });
            });

            $('#admin_ip_addrs').change(function(e) {
                $('#admin_ip_addr').val($(this).val()[0]);
            });

            $('.config-form').submit(function (e) {
                e.preventDefault();

                if (!confirm('설정을 수정하시겠습니까?')) {
                    return;
                }

                axios.patch($(this).attr('action'), {
                    [$(this).find('.key').val()]: $(this).find('.value').val()
                }).then(function (response) {
                    alert(response.data.message || '설정이 수정되었습니다');
                    location.reload();
                }).catch(function (error) {
                    if (error.response && error.response.data) {
                        alert(error.response.data.message);
                    } else {
                        alert('수정에 실패하였습니다');
                    }
                });
            });
        });
    </script>
@endpush

@section('content')
<div class="container-fluid py-3">
    <div class="row">
        <div class="col-12">
            <div class="card mb-3">
                <div class="card-header">
                    서버 설정
                </div>

                <div class="card-body">
                    <div class="form-group">
                        <div class="custom-control custom-switch custom-switch-off-danger custom-switch-on-success">
                            <input type="checkbox" class="custom-control-input" id="bet_close_btcusdt" {{ $config['bet_close_btcusdt'] ? '' : 'checked' }}>
                            <label class="custom-control-label" for="bet_close_btcusdt">코인 거래 활성화</label>
                        </div>

                        <div class="custom-control custom-switch custom-switch-off-danger custom-switch-on-success">
                            <input type="checkbox" class="custom-control-input" id="bet_close_gbpaud" {{ $config['bet_close_gbpaud'] ? '' : 'checked' }}>
                            <label class="custom-control-label" for="bet_close_gbpaud">FX 거래 활성화</label>
                        </div>
                    </div>

                    <hr>

                    <div class="form-group">
                        <label>차단된 아이피</label>
                        <select id="ban_ip_addrs" class="custom-select" multiple>
                            @foreach ($config['ban_ips'] as $ban_ip)
                                <option value="{{ $ban_ip->ip_addr }}">{{ $ban_ip->ip_addr }}</option>
                            @endforeach
                        </select>
                    </div>

                    <div class="form-group">
                        <input type="text" class="form-control" id="ban_ip_addr" placeholder="0.0.0.0">
                    </div>

                    <div class="form-group">
                        <button type="submit" class="btn btn-success add-ban-ip">아이피 추가</button>
                        <button type="submit" class="btn btn-danger remove-ban-ip">아이피 삭제</button>
                    </div>

                    <hr>

                    <div class="form-group">
                        <label>운영자 아이피</label>
                        <select id="admin_ip_addrs" class="custom-select" multiple>
                            @foreach ($config['admin_ips'] as $admin_ip)
                                <option value="{{ $admin_ip->ip_addr }}">{{ $admin_ip->ip_addr }}</option>
                            @endforeach
                        </select>
                    </div>

                    <div class="form-group">
                        <input type="text" class="form-control" id="admin_ip_addr" placeholder="0.0.0.0">
                    </div>

                    <div class="form-group">
                        <button type="submit" class="btn btn-success add-admin-ip">아이피 추가</button>
                        <button type="submit" class="btn btn-danger remove-admin-ip">아이피 삭제</button>
                    </div>

                    <hr>

                    <form class="config-form" action="{{ route('branch.config.update') }}" method="POST">
                        @csrf
                        @method('PATCH')
                        <input type="hidden" class="key" value="deposit_bank">

                        <div class="form-group">
                            <label>입금 계좌번호</label>
                            <input type="text" class="value form-control" value="{{ $config['deposit_bank'] ?? '' }}">
                        </div>

                        <div>
                            <button type="submit" class="btn btn-success">수정</button>
                        </div>
                    </form>

                    <hr>

                    <form class="config-form" action="{{ route('branch.config.update') }}" method="POST">
                        @csrf
                        @method('PATCH')
                        <input type="hidden" class="key" value="deposit_info">

                        <div class="form-group">
                            <label>입금 안내사항</label>
                            <textarea class="value form-control" rows="10">{{ $config['deposit_info'] ?? '' }}</textarea>
                        </div>

                        <div>
                            <button type="submit" class="btn btn-success">수정</button>
                        </div>
                    </form>

                    <hr>

                    <form class="config-form" action="{{ route('branch.config.update') }}" method="POST">
                        @csrf
                        @method('PATCH')
                        <input type="hidden" class="key" value="withdraw_info">

                        <div class="form-group">
                            <label>출금 안내사항</label>
                            <textarea class="value form-control" rows="10">{{ $config['withdraw_info'] ?? '' }}</textarea>
                        </div>

                        <div>
                            <button type="submit" class="btn btn-success">수정</button>
                        </div>
                    </form>

                    <hr>

                    <form class="config-form" action="{{ route('branch.config.update') }}" method="POST">
                        @csrf
                        @method('PATCH')
                        <input type="hidden" class="key" value="contact_info">

                        <div class="form-group">
                            <label>1:1 문의 안내사항</label>
                            <textarea class="value form-control" rows="10">{{ $config['contact_info'] ?? '' }}</textarea>
                        </div>

                        <div>
                            <button type="submit" class="btn btn-success">수정</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection