@extends('layouts.branch')

@section('page.name', 'notice_form')

@push('scripts')
@endpush

@section('content')
<div class="container-fluid py-3">
    <div class="row">
        <div class="col-12">
            <div class="card mb-3">
                <div class="card-header">
                    공지사항 작성
                </div>

                <div class="card-body">
                    @if ($notice->id == NULL)
                        <form action="{{ route('branch.notice.create') }}" method="POST">
                    @else
                        <form action="{{ route('branch.notice.update', $notice) }}" method="POST">
                            @method('PATCH')
                    @endif
                        @csrf

                        <div class="form-group">
                            <label>제목</label>
                            <input type="text" name="subject" class="form-control" value="{{ $notice->subject }}" required>
                        </div>

                        <div class="form-group">
                            <label>내용</label>
                            <textarea name="content" class="form-control" rows="10" required>{{ $notice->content }}</textarea>
                        </div>

                        <div class="form-group">
                            <label>작성일</label>
                            <input name="created_at" class="form-control datepicker" value="{{ $notice->created_at ? $notice->created_at->format('Y-m-d') : date('Y-m-d') }}" required>
                        </div>

                        <div class="form-group form-check">
                            <input type="checkbox" class="form-check-input" name="to_branch" id="to_branch">
                            <label class="form-check-label" for="to_branch">지점 공지</label>
                        </div>

                        <div class="text-right">
                            <button type="submit" class="btn btn-success">작성</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
