@extends('layouts.branch')

@section('page.name', 'users')

@push('scripts')
    <script>
        $(function() {
            $('#users').DataTable({
                processing: true,
                serverSide: true,
                ajax: "{{ $dt_link }}",
                columns: [
                    {data: 'id', name: 'id'},
                    {data: 'name_link', name: 'name_link'},
                    {data: 'branch', name: 'branch'},
                    {data: 'bank_info_string', name: 'bank_info_string'},
                    {data: 'total_deposit_formatted', name: 'total_deposit'},
                    {data: 'total_withdraw_formatted', name: 'total_withdraw'},
                    {data: 'balance_formatted', name: 'balance'},
                    {data: 'total_fee_formatted', name: 'total_fee'},
                    {data: 'user_type_string', name: 'user_type_string'},
                    {data: 'status_string', name: 'status_string'},
                    {data: 'created_at_formatted', name: 'created_at_formatted'},
                ]
            });
        });
    </script>
@endpush

@section('content')
<div class="container-fluid py-3">
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    회원 목록
                </div>

                <div class="card-body table-responsive">
                    <table id="users" class="table table-hover text-nowrap text-center">
                        <thead>
                            <tr>
                                <th>회원번호</th>
                                <th>회원명</th>
                                <th>가입지점</th>
                                <th>계좌정보</th>
                                <th>입금누계</th>
                                <th>출금누계</th>
                                <th>보유금액</th>
                                <th>받은수수료</th>
                                <th>구분</th>
                                <th>상태</th>
                                <th>가입일</th>
                            </tr>
                        </thead>

                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
