@extends('layouts.branch')

@section('page.name', 'waiting_trades')

@push('scripts')
    <script>
        $(function () {
            setInterval(refreshData, 3000);

            function refreshData() {
                axios.get("{{ route('branch.trade.waiting.list.json', ['symbol' => $symbol]) }}").then(function (response) {
                    $('#round_1').val(response.data['1m'].round);
                    $('#round_3').val(response.data['3m'].round);
                    $('#round_5').val(response.data['5m'].round);
                    $('#up_1 .round').text(parseInt(response.data['1m'].round.substring(6)));
                    $('#down_1 .round').text(parseInt(response.data['1m'].round.substring(6)));
                    $('#up_3 .round').text(parseInt(response.data['3m'].round.substring(6)));
                    $('#down_3 .round').text(parseInt(response.data['3m'].round.substring(6)));
                    $('#up_5 .round').text(parseInt(response.data['5m'].round.substring(6)));
                    $('#down_5 .round').text(parseInt(response.data['5m'].round.substring(6)));
                    $('#up_1 tbody').html('');
                    $('#down_1 tbody').html('');
                    $('#up_3 tbody').html('');
                    $('#down_3 tbody').html('');
                    $('#up_5 tbody').html('');
                    $('#down_5 tbody').html('');
                    let up_1_total = 0;
                    let down_1_total = 0;
                    let up_3_total = 0;
                    let down_3_total = 0;
                    let up_5_total = 0;
                    let down_5_total = 0;

                    for(let name in response.data['1m'].up) {
                        $('#up_1 tbody').append(
                            '<tr>' +
                            '<td>' + name + '</td>' +
                            '<td>' + parseInt(response.data['1m'].up[name]).toLocaleString() + '</td>' +
                            '</tr>'
                        );
                        up_1_total += parseInt(response.data['1m'].up[name]);
                    }

                    for(let name in response.data['1m'].down) {
                        $('#down_1 tbody').append(
                            '<tr>' +
                            '<td>' + name + '</td>' +
                            '<td>' + parseInt(response.data['1m'].down[name]).toLocaleString() + '</td>' +
                            '</tr>'
                        );
                        down_1_total += parseInt(response.data['1m'].down[name]);
                    }

                    for(let name in response.data['3m'].up) {
                        $('#up_3 tbody').append(
                            '<tr>' +
                            '<td>' + name + '</td>' +
                            '<td>' + parseInt(response.data['3m'].up[name]).toLocaleString() + '</td>' +
                            '</tr>'
                        );
                        up_3_total += parseInt(response.data['3m'].up[name]);
                    }

                    for(let name in response.data['3m'].down) {
                        $('#down_3 tbody').append(
                            '<tr>' +
                            '<td>' + name + '</td>' +
                            '<td>' + parseInt(response.data['3m'].down[name]).toLocaleString() + '</td>' +
                            '</tr>'
                        );
                        down_3_total += parseInt(response.data['3m'].down[name]);
                    }

                    for(let name in response.data['5m'].up) {
                        $('#up_5 tbody').append(
                            '<tr>' +
                            '<td>' + name + '</td>' +
                            '<td>' + parseInt(response.data['5m'].up[name]).toLocaleString() + '</td>' +
                            '</tr>'
                        );
                        up_5_total += parseInt(response.data['5m'].up[name]);
                    }

                    for(let name in response.data['5m'].down) {
                        $('#down_5 tbody').append(
                            '<tr>' +
                            '<td>' + name + '</td>' +
                            '<td>' + parseInt(response.data['5m'].down[name]).toLocaleString() + '</td>' +
                            '</tr>'
                        );
                        down_5_total += parseInt(response.data['5m'].down[name]);
                    }

                    $('#up_1_total').text(up_1_total.toLocaleString());
                    $('#down_1_total').text(down_1_total.toLocaleString());
                    $('#up_3_total').text(up_3_total.toLocaleString());
                    $('#down_3_total').text(down_3_total.toLocaleString());
                    $('#up_5_total').text(up_5_total.toLocaleString());
                    $('#down_5_total').text(down_5_total.toLocaleString());

                }).catch(function (error) {
                    if (error.response && error.response.data) {
                        alert(error.response.data.message);
                    } else {
                        alert('정보를 가져오지 못했습니다');
                    }
                });
            }
            refreshData();
        });
    </script>
@endpush

@section('content')
<div class="container-fluid py-3">
    <div class="mb-3 text-right">
        <div class="btn-group">
            <a href="?symbol=BTCUSDT" class="btn {{ $symbol == 'BTCUSDT' ? 'btn-primary' : 'btn-light' }}">BTCUSDT</a>
            <a href="?symbol=GBPAUD" class="btn {{ $symbol == 'GBPAUD' ? 'btn-primary' : 'btn-light' }}">GBPAUD</a>
        </div>
    </div>

    <div class="row">
        <div class="col-12 col-md-2">
            <div class="card" id="up_1">
                <div class="card-header">
                    1분 - 상승
                </div>

                <div class="card-body table-responsive">
                    <small class="d-block text-right mb-3">회차: <span class="round"></span> 회</small>
                    <small class="d-block text-right mb-3">총 금액: <span id="up_1_total"></span> 원</small>
                    <table class="table table-hover text-nowrap text-center">
                        <thead>
                            <tr>
                                <th>회원명</th>
                                <th>금액</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>

        <div class="col-12 col-md-2">
            <div class="card" id="down_1">
                <div class="card-header">
                    1분 - 하락
                </div>

                <div class="card-body table-responsive">
                    <small class="d-block text-right mb-3">회차: <span class="round"></span> 회</small>
                    <small class="d-block text-right mb-3">총 금액: <span id="down_1_total"></span> 원</small>
                    <table class="table table-hover text-nowrap text-center">
                        <thead>
                            <tr>
                                <th>회원명</th>
                                <th>금액</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>

        <div class="col-12 col-md-2">
            <div class="card" id="up_3">
                <div class="card-header">
                    3분 - 상승
                </div>

                <div class="card-body table-responsive">
                    <small class="d-block text-right mb-3">회차: <span class="round"></span> 회</small>
                    <small class="d-block text-right mb-3">총 금액: <span id="up_3_total"></span> 원</small>
                    <table class="table table-hover text-nowrap text-center">
                        <thead>
                            <tr>
                                <th>회원명</th>
                                <th>금액</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>

        <div class="col-12 col-md-2">
            <div class="card" id="down_3">
                <div class="card-header">
                    3분 - 하락
                </div>

                <div class="card-body table-responsive">
                    <small class="d-block text-right mb-3">회차: <span class="round"></span> 회</small>
                    <small class="d-block text-right mb-3">총 금액: <span id="down_3_total"></span> 원</small>
                    <table class="table table-hover text-nowrap text-center">
                        <thead>
                            <tr>
                                <th>회원명</th>
                                <th>금액</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>

        <div class="col-12 col-md-2">
            <div class="card" id="up_5">
                <div class="card-header">
                    5분 - 상승
                </div>

                <div class="card-body table-responsive">
                    <small class="d-block text-right mb-3">회차: <span class="round"></span> 회</small>
                    <small class="d-block text-right mb-3">총 금액: <span id="up_5_total"></span> 원</small>
                    <table class="table table-hover text-nowrap text-center">
                        <thead>
                            <tr>
                                <th>회원명</th>
                                <th>금액</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>

        <div class="col-12 col-md-2">
            <div class="card" id="down_5">
                <div class="card-header">
                    5분 - 하락
                </div>

                <div class="card-body table-responsive">
                    <small class="d-block text-right mb-3">회차: <span class="round"></span> 회</small>
                    <small class="d-block text-right mb-3">총 금액: <span id="down_5_total"></span> 원</small>
                    <table class="table table-hover text-nowrap text-center">
                        <thead>
                            <tr>
                                <th>회원명</th>
                                <th>금액</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
