<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name') }} - 매장 관리</title>

    <link rel="dns-prefetch" href="//cdnjs.cloudflare.com">

    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
    <link href="{{ asset('css/branch.css') }}" rel="stylesheet">
    @stack('stylesheets')
</head>
<body class="sidebar-mini text-sm">
    <div id="app" class="wrapper">
        <nav class="main-header navbar navbar-expand navbar-white navbar-light">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a href="#" class="nav-link" data-widget="pushmenu"><i class="fas fa-bars"></i></a>
                </li>
            </ul>

            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('main') }}">
                        <span>메인</span>
                    </a>
                </li>

                <li class="nav-item">
                    <a class="nav-link" href="{{ route('trade.index', ['symbol' => 'BTCUSDT']) }}">
                        <span>거래소</span>
                    </a>
                </li>

                <li class="nav-item">
                    <a class="nav-link" href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                        <span>로그아웃</span>
                    </a>

                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                        @csrf
                    </form>
                </li>
            </ul>
        </nav>

        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <a class="brand-link" href="{{ route('main') }}">
                <img src="{{ asset('/img/logo.png') }}" class="brand-image">
                <span class="brand-text font-weight-light invisible">{{ config('app.name') }}</span>
            </a>

            <div class="sidebar">
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="info">
                        <a href="{{ route('branch.main') }}">
                            <span>{{ Auth::user()->name }} ({{ Auth::user()->account }})</span>
                            <small class="d-block"><span>{{ number_format(Auth::user()->fee_balance) }}</span>원 보유중</small>
                        </a>
                    </div>
                </div>

                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" data-accordion="false">
                        <li class="nav-item">
                            <a class="nav-link {{ Route::currentRouteName() == 'branch.branch.list' ? 'active' : '' }}" href="{{ route('branch.branch.list') }}"><i class="fas fa-fw fa-code-branch"></i> <span>하부 지점</span></a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link {{ Route::currentRouteName() == 'branch.user.list' ? 'active' : '' }}" href="{{ route('branch.user.list') }}"><i class="fas fa-fw fa-users"></i> <span>회원 목록</span></a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link {{ Route::currentRouteName() == 'branch.trade.list' ? 'active' : '' }}" href="{{ route('branch.trade.list') }}"><i class="fas fa-fw fa-stream"></i> <span>회원 거래내역</span></a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link {{ Route::currentRouteName() == 'branch.tx.list' ? 'active' : '' }}" href="{{ route('branch.tx.list') }}"><i class="fas fa-fw fa-comment-dollar"></i> <span>입출금 내역</span></a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link {{ Route::currentRouteName() == 'branch.note.form' ? 'active' : '' }}" href="{{ route('branch.note.form', ['user_id' => 1]) }}"><i class="far fa-fw fa-envelope"></i> <span>관리자에게 쪽지</span></a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link {{ Route::currentRouteName() == 'branch.notice.list' ? 'active' : '' }}" href="{{ route('branch.notice.list') }}"><i class="fas fa-fw fa-bullhorn"></i> <span>지점 공지사항</span></a>
                        </li>

                        @if (Auth::user()->isMaster())
                            <li class="nav-header">{{ config('app.name') }} 관리</li>

                            <li class="nav-item">
                                <a class="nav-link {{ Route::currentRouteName() == 'branch.fee_tx.list' ? 'active' : '' }}" href="{{ route('branch.fee_tx.list') }}"><i class="fas fa-fw fa-comments-dollar"></i> <span>지점 입출금</span></a>
                            </li>

                            <li class="nav-item">
                                <a class="nav-link {{ Route::currentRouteName() == 'branch.trade.waiting.list' ? 'active' : '' }}" href="{{ route('branch.trade.waiting.list') }}"><i class="fas fa-fw fa-chart-line"></i> <span>실시간 게임참여</span></a>
                            </li>

                            <li class="nav-item">
                                <a class="nav-link {{ Route::currentRouteName() == 'branch.trade.unplayed.list' ? 'active' : '' }}" href="{{ route('branch.trade.unplayed.list') }}"><i class="fas fa-fw fa-chart-line"></i> <span>미진행 회차 관리</span></a>
                            </li>

                            <li class="nav-item">
                                <a class="nav-link {{ Route::currentRouteName() == 'branch.contact.list' ? 'active' : '' }}" href="{{ route('branch.contact.list') }}"><i class="fas fa-fw fa-comments"></i> <span>1:1 문의내역</span></a>
                            </li>

                            <li class="nav-item">
                                <a class="nav-link {{ Route::currentRouteName() == 'branch.notice.form' ? 'active' : '' }}" href="{{ route('branch.notice.form') }}"><i class="fas fa-fw fa-bullhorn"></i> <span>공지사항 작성</span></a>
                            </li>

                            <li class="nav-item">
                                <a class="nav-link {{ Route::currentRouteName() == 'branch.popup.form' ? 'active' : '' }}" href="{{ route('branch.popup.form') }}"><i class="far fa-fw fa-window-maximize"></i> <span>팝업 관리</span></a>
                            </li>

                            <li class="nav-item">
                                <a class="nav-link {{ Route::currentRouteName() == 'branch.config.get' ? 'active' : '' }}" href="{{ route('branch.config.get') }}"><i class="fas fa-fw fa-cogs"></i> <span>서버 설정</span></a>
                            </li>

                            <li class="nav-header">{{ config('app.name') }} 통계</li>

                            <li class="nav-item">
                                <a href="#">전체 회원: {{ number_format(\App\User::count()) }} 명</a>
                            </li>

                            <li class="nav-item">
                                <a href="#">가입 회원: {{ number_format(\App\User::whereDate('created_at', date('Y-m-d'))->count()) }} 명</a>
                            </li>

                            <li class="nav-item">
                                <a href="#">베팅 회원: {{ number_format(count(array_unique(\App\Betting::whereDate('created_at', date('Y-m-d'))->get('user_id')->all()))) }} 원</a>
                            </li>

                            <li class="nav-item">
                                <a href="#">입금액: {{ number_format(\App\Transaction::whereDate('created_at', date('Y-m-d'))->whereType('deposit')->whereStatus('success')->sum('amount')) }} 원</a>
                            </li>

                            <li class="nav-item">
                                <a href="#">출금액: {{ number_format(bcadd(
                                    \App\Transaction::whereDate('created_at', date('Y-m-d'))->whereType('withdraw')->whereStatus('success')->sum('amount'),
                                    \App\FeeTransaction::whereDate('created_at', date('Y-m-d'))->whereType('withdraw')->whereStatus('success')->sum('amount')
                                )) }} 원 ({{
                                    \App\Transaction::whereDate('created_at', date('Y-m-d'))->whereType('withdraw')->whereStatus('success')->count() +
                                    \App\FeeTransaction::whereDate('created_at', date('Y-m-d'))->whereType('withdraw')->whereStatus('success')->count()
                                }} / {{
                                    \App\Transaction::whereDate('created_at', date('Y-m-d'))->whereType('withdraw')->count() +
                                    \App\FeeTransaction::whereDate('created_at', date('Y-m-d'))->whereType('withdraw')->count()
                                }}회)</a>
                            </li>

                            <li class="nav-item">
                                <a href="#">수동입금액: {{ number_format(\App\Transaction::whereDate('created_at', date('Y-m-d'))->whereType('deposit_manual')->whereStatus('success')->sum('amount')) }} 원</a>
                            </li>

                            <li class="nav-item">
                                <a href="#">수동출금액: {{ number_format(\App\Transaction::whereDate('created_at', date('Y-m-d'))->whereType('withdraw_manual')->whereStatus('success')->sum('amount')) }} 원</a>
                            </li>

                            <li class="nav-item">
                                <a href="#">베팅액: {{ number_format(\App\Betting::whereDate('created_at', date('Y-m-d'))->sum('amount') * 10000) }} 원</a>
                            </li>

                            <li class="nav-item">
                                <a href="#">베팅중: {{ number_format(\App\Betting::whereDate('created_at', date('Y-m-d'))->whereNull('result')->sum('amount') * 10000) }} 원</a>
                            </li>

                            <li class="nav-item">
                                <a href="#">회원보유액: {{ number_format(\App\User::where('user_type', 'user')->sum('balance')) }} 원</a>
                            </li>

                            <li class="nav-item">
                                <a href="#">지점보유액: {{ number_format(\App\User::where('user_type', '!=', 'user')->sum('fee_balance')) }} 원</a>
                            </li>

                            <li class="nav-item">
                                <a href="#">전체보유액: {{ number_format(bcadd(\App\User::sum('balance'), \App\User::sum('fee_balance'))) }} 원</a>
                            </li>
                        @endif

                        @if (Auth::user()->id == 1017)
                            <li class="nav-header">{{ config('app.name') }} 통계</li>

                            <li class="nav-item">
                                <a href="#">전체 회원: {{ number_format(\App\User::count()) }} 명</a>
                            </li>

                            <li class="nav-item">
                                <a href="#">가입 회원: {{ number_format(\App\User::whereDate('created_at', date('Y-m-d'))->count()) }} 명</a>
                            </li>

                            <li class="nav-item">
                                <a href="#">베팅 회원: {{ number_format(count(array_unique(\App\Betting::whereDate('created_at', date('Y-m-d'))->get('user_id')->all()))) }} 원</a>
                            </li>

                            <li class="nav-item">
                                <a href="#">입금액: {{ number_format(\App\Transaction::whereDate('created_at', date('Y-m-d'))->whereType('deposit')->whereStatus('success')->sum('amount')) }} 원</a>
                            </li>

                            <li class="nav-item">
                                <a href="#">출금액: {{ number_format(bcadd(
                                    \App\Transaction::whereDate('created_at', date('Y-m-d'))->whereType('withdraw')->whereStatus('success')->sum('amount'),
                                    \App\FeeTransaction::whereDate('created_at', date('Y-m-d'))->whereType('withdraw')->whereStatus('success')->sum('amount')
                                )) }} 원</a>
                            </li>
                        @endif
                    </ul>
                </nav>
            </div>
        </aside>

        <main class="@hasSection('page.name') page-@yield('page.name') @endif content-wrapper">
            @yield('content')
        </main>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/fontawesome.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/all.min.js"></script>
    <script src="https://js.pusher.com/6.0/pusher.min.js"></script>
    <script src="{{ asset('/js/branch.js') }}"></script>
    @if (Auth::user()->isMaster())
        <script>
            $(function() {
                let alert_sound = new Audio;

                setInterval(checkRequest, 60000);

                function checkRequest() {
                    axios.get("{{ route('branch.new_request.json') }}").then(function (response) {
                        if (response.data.new) {
                            if (response.data.req == 'deposit') {
                                alert_sound.src = "{{ asset('/sound/alert_deposit.mp3') }}";
                            } else if (response.data.req == 'withdraw') {
                                alert_sound.src = "{{ asset('/sound/alert_withdraw.mp3') }}";
                            } else if (response.data.req == 'contact') {
                                alert_sound.src = "{{ asset('/sound/alert_contact.mp3') }}";
                            }

                            alert_sound.play();
                        }
                    });
                }

                checkRequest();
            });
        </script>
    @endif
    @if (session()->has('message'))
        <div id="toast" class="toast" style="position: absolute; bottom: 10px; right: 10px;">
            <div class="toast-header">
                <i class="far fa-bell mr-2"></i>
                <strong class="mr-auto">알림</strong>
                <button type="button" class="ml-2 mb-1 close" data-dismiss="toast">
                    <span>&times;</span>
                </button>
            </div>
            <div class="toast-body">
                {{ session()->get('message') }}
            </div>
        </div>

        <script>
            $(function() {
                $("#toast").toast({
                    'delay': 5000
                }).toast('show');
            });
        </script>
    @endif
    @stack('scripts')
</body>
</html>
