@extends('layouts.app')

@section('page.name', 'main')

@push('scripts')
    <script src="https://cdnjs.cloudflare.com/ajax/libs/particles.js/2.0.0/particles.min.js"></script>
    <script>
        particlesJS.load('particles', '/particlejs-config.json');
    </script>
    @if (\App\Popup::latest()->first() && \App\Popup::latest()->first()->content != '')
        <script>
            $(function() {
                if (localStorage.getItem('popup_hide') != "{{ date('Y-m-d_').\App\Popup::latest()->first()->id }}") {
                    $('#popup').modal('show');
                }

                $('.popup_hide_daily').click(function() {
                    localStorage.setItem('popup_hide', "{{ date('Y-m-d_').\App\Popup::latest()->first()->id }}");
                });
            });
        </script>
    @endif
@endpush

@section('content')
<div class="w-100">
    <div class="section-1 bg-transparent text-white d-flex align-items-center">
        <div id="particles"></div>
        <div class="container">
            <h2 class="font-weight-bold">{{ config('app.name') }}에서 시작하는<br>새로운 가상화폐 재테크</h2>
            <p class="lead mt-3">누구든 쉽게 투자할 수 있는 {{ config('app.name') }}의 가상화폐 수익 서비스, 바로 시작하세요</p>
            <a class="btn btn-outline-light btn-lg mt-4" href="{{ route('trade.index', ['symbol' => 'BTCUSDT']) }}">시작하기</a>
        </div>
    </div>

    <div class="section-2 text-light py-5" style="background-color: #191919;">
        <div class="container">
            <h2 class="text-center">{{ config('app.name') }}을 선택하는 이유</h2>
            <hr class="my-5">
            <div class="row text-center">
                <div class="col-12 col-md-3">
                    <div class="icon d-block mx-auto mb-3 bg-white rounded-circle" style="box-sizing: content-box;">
                        <img src="{{ asset('/img/icon_1.png') }}" class="icon p-2">
                    </div>
                    <strong>투명성과 정확성</strong>
                    <p>
                        글로벌 Top-tier거래소<br>
                        기반 실시간 호가제공
                    </p>
                </div>
                <div class="col-12 col-md-3">
                    <div class="icon d-block mx-auto mb-3 bg-white rounded-circle" style="box-sizing: content-box;">
                        <img src="{{ asset('/img/icon_2.png') }}" class="icon p-2">
                    </div>
                    <strong>안정성과 기술력</strong>
                    <p>
                        다중 보안기술과<br>
                        안정적인 서버운영
                    </p>
                </div>
                <div class="col-12 col-md-3">
                    <div class="icon d-block mx-auto mb-3 bg-white rounded-circle" style="box-sizing: content-box;">
                        <img src="{{ asset('/img/icon_3.png') }}" class="icon p-2">
                    </div>
                    <strong>전문성과 차별성</strong>
                    <p>
                        글로벌 암호화폐 전문가들로<br>
                        구성된 개발 및 운영팀
                    </p>
                </div>
                <div class="col-12 col-md-3">
                    <div class="icon d-block mx-auto mb-3 bg-white rounded-circle" style="box-sizing: content-box;">
                        <img src="{{ asset('/img/icon_4.png') }}" class="icon p-2">
                    </div>
                    <strong>수익성과 즉시성</strong>
                    <p>
                        양방향 거래구조와<br>
                        신속한 1분거래 지원
                    </p>
                </div>
            </div>
        </div>
    </div>

    <div class="section-3 py-5" style="background-color: #333333;">
        <div class="container">
            <div class="card-deck">
                <div class="card bg-dark text-white">
                    <div class="card-body">
                        <h5 class="card-title">공지사항</h5>
                        <table class="table table-dark">
                            <tbody>
                                @forelse($notices as $notice)
                                    <tr>
                                        <td><a href="{{ route('notice.list', $notice->id) }}#notice_{{ $notice->id }}" class="text-white">{{ $notice->subject }}</a></td>
                                        <td class="text-white text-right text-small">{{ $notice->created_at->format('Y-m-d H:i') }}</td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td>공지사항이 없습니다</td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>

                <div class="card bg-dark text-white">
                    <div class="card-body">
                        <h5 class="card-title">고객센터</h5>
                        <div clsss="d-flex">
                            <hr>
                            <p class="card-text contact"><i class="fas fa-fw fa-comments"></i> <a href="{{ route('contact.list') }}" class="text-white">1:1 문의 게시판</a></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="section-4 text-light py-5" style="background-color: #4d4d4d;">
        <div class="container">
            <h2 class="text-center">초보자도 쉽게 할 수 있는 암호화폐 투자</h2>
            <hr class="my-5">
            <div class="row text-center">
                <div class="col-12 col-md-3">
                    <img src="{{ asset('/img/icon_5.png') }}" class="icon d-block mx-auto mb-3">
                    <strong>회원가입</strong>
                    <p>간편한 회원가입 시스템</p>
                </div>
                <div class="col-12 col-md-3">
                    <img src="{{ asset('/img/icon_6.png') }}" class="icon d-block mx-auto mb-3">
                    <strong>입금</strong>
                    <p>빠른 입금 처리 속도</p>
                </div>
                <div class="col-12 col-md-3">
                    <img src="{{ asset('/img/icon_7.png') }}" class="icon d-block mx-auto mb-3">
                    <strong>거래</strong>
                    <p>1분, 3분, 5분 양방향 거래</p>
                </div>
                <div class="col-12 col-md-3">
                    <img src="{{ asset('/img/icon_8.png') }}" class="icon d-block mx-auto mb-3">
                    <strong>출금</strong>
                    <p>간편한 출금으로 수익 실현</p>
                </div>
            </div>
        </div>
    </div>

    <div class="section-5 py-3" style="background-color: #666666;">
        <div class="container">
            <div class="card bg-dark text-white mb-3">
                <div class="card-body">
                    <h5 class="card-title">BTCUSDT 차트</h5>
                    <div class="tradingview-widget-container">
                        <div id="tradingview_btcusdt"></div>
                        <script type="text/javascript" src="https://s3.tradingview.com/tv.js"></script>
                        <script type="text/javascript">
                            new TradingView.widget({
                                "width": "100%",
                                "height": 400,
                                "symbol": "BINANCE:BTCUSDT",
                                "interval": "1",
                                "timezone": "Asia/Seoul",
                                "theme": "dark",
                                "style": "1",
                                "locale": "kr",
                                "toolbar_bg": "#f1f3f6",
                                "enable_publishing": false,
                                "hide_top_toolbar": true,
                                "save_image": false,
                                "container_id": "tradingview_btcusdt"
                            });
                        </script>
                    </div>
                </div>
            </div>

            <div class="card bg-dark text-white">
                <div class="card-body">
                    <h5 class="card-title">GBPAUD 차트</h5>
                    <div class="tradingview-widget-container">
                        <div id="tradingview_gbpaud"></div>
                        <script type="text/javascript" src="/charting_library/charting_library/charting_library.js"></script>
                        <script type="text/javascript" src="/charting_library/datafeeds/udf/dist/polyfills.js"></script>
                        <script type="text/javascript" src="/charting_library/datafeeds/udf/dist/bundle.js"></script>
                        <script type="text/javascript">
                            new TradingView.widget({
                                "width": "100%",
                                "height": 400,
                                "symbol": "GBPAUD",
                                "interval": "1",
                                "timezone": "Asia/Seoul",
                                "theme": "dark",
                                "style": "1",
                                "locale": "ko",
                                "toolbar_bg": "#f1f3f6",
                                "enable_publishing": false,
                                "container_id": "tradingview_gbpaud",
                                library_path: "/charting_library/charting_library/",
                                datafeed: new Datafeeds.UDFCompatibleDatafeed("https://udf.bitqzone.com"),
                                disabled_features: ["header_widget", "left_toolbar", "timeframes_toolbar"],
                                enabled_features: [""],
                            });
                        </script>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @if (\App\Popup::latest()->first() && \App\Popup::latest()->first()->content != '')
        <div class="modal fade" id="popup" tabindex="-1">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">{{ config('app.name') }} 안내사항</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        {!! nl2br(\App\Popup::latest()->first()->content) !!}
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-link popup_hide_daily" data-dismiss="modal">오늘하루 보지않기</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">닫기</button>
                    </div>
                </div>
            </div>
        </div>
    @endif
</div>
@endsection
