@extends('layouts.app')

@section('page.name', 'notes')

@push('scripts')
@endpush

@section('content')
<div class="container my-3">
    <div class="card">
        <div class="card-body">
            <h5 class="card-title">받은 쪽지함</h5>
            <div class="table-responsive">
                <table class="table text-center">
                    <colgroup>
                        <col>
                        <col style="width: 120px">
                        <col style="width: 200px">
                    </colgroup>
                    <thead>
                        <tr>
                            <th>내용</th>
                            <th>보낸이</th>
                            <th>시간</th>
                        </tr>
                    </thead>
                    <tbody>
                        @forelse($notes as $note)
                            <tr>
                                <td class="text-left"><a href="{{ route('note.show', $note->id) }}" class="{{ $note->readed_at != NULL ? 'text-secondary' : '' }}">{{ mb_strimwidth($note->content, 0, 140, "...") }}</a></td>
                                <td>{{ $note->user ? $note->user->name : '탈퇴한 회원' }}</td>
                                <td>{{ $note->created_at->format('Y-m-d H:i:s') }}</td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="3">받은 쪽지가 없습니다</td>
                            </tr>
                        @endforelse
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
@endsection
