@extends('layouts.app')

@section('page.name', 'trades')

@push('scripts')
@endpush

@section('content')
<div class="container-fluid my-3">
    <div class="row">
        <div class="col-12">
            <div class="mb-3 text-center">
                <form class="form-inline d-inline-block">
                    <input type="text" class="form-control datepicker mr-sm-2" name="date">
                    <button class="btn btn-primary mr-sm-2">조회</button>
                    <a href="?all" class="btn btn-link">전체보기</a>
                </form>
            </div>

            <div class="table-responsive mb-3" style="max-height: calc(100vh - 100px);">
                <table class="table table-sm bg-light text-center mb-0">
                    <thead>
                        <tr>
                            <th>시간</th>
                            <th>종목</th>
                            <th>구분</th>
                            <th>회차</th>
                            <th>금액</th>
                            <th>선택</th>
                            <th>결과</th>
                            <th>시가</th>
                            <th>종가</th>
                        </tr>
                    </thead>
                    <tbody>
                        @forelse ($bettings as $betting)
                            <tr>
                                <td>{{ $betting->created_at }}</td>
                                <td>{{ $betting->symbol }}</td>
                                <td>{{ $betting->type }}분</td>
                                <td data-toggle="tooltip" data-placement="bottom" data-html="true" title="{{ (new \Carbon\Carbon('20'.mb_substr($betting->round, 0, 6)))->addMinutes(mb_substr($betting->round, 6))->subMinutes($betting->type) }} ~<br>{{ (new \Carbon\Carbon('20'.mb_substr($betting->round, 0, 6)))->addMinutes(mb_substr($betting->round, 6)) }}">{{ $betting->round }}</td>
                                <td>{{ $betting->amount }} LOT<small class="d-block">{{ number_format($betting->amount * 10000) }} KRW</small></td>
                                @if ($betting->pick == 'up')
                                    <td><i class="fas fa-arrow-up text-primary"></i> <span>매수</span></td>
                                @else
                                    <td><i class="fas fa-arrow-down text-danger"></i> <span>매도</span></td>
                                @endif

                                @if ($betting->result == 'correct')
                                    <td><i class="far fa-circle text-success"></i> <span>실현</span><small class="d-block text-success">+{{ number_format($betting->amount * ($betting->rate - 1) * 10000) }} KRW</small></td>
                                @elseif ($betting->result == 'incorrect')
                                    <td><i class="fas fa-times text-danger"></i> <span>실격</span><small class="d-block text-danger">-{{ number_format($betting->amount * 10000) }} KRW</small></td>
                                @elseif ($betting->result == 'unrealized')
                                    <td><i class="fas fa-undo text-warning"></i> <span>무효</span></td>
                                @else
                                    <td><i class="fas fa-minus text-secondary"></i> <span>대기</span></td>
                                @endif

                                @if ($betting->result != NULL)
                                    @php
                                        $gameResult = \App\GameResult::whereType($betting->type)->whereRound($betting->round)->first();
                                        $diff = bcsub($gameResult->close, $gameResult->open, $config[$betting->symbol]['decimal_length']);
                                    @endphp
                                    <td>{{ mb_substr($gameResult->open, 0, -8 + $config[$betting->symbol]['decimal_length']) }} USD</td>
                                    <td>
                                        {{ mb_substr($gameResult->close, 0, -8 + $config[$betting->symbol]['decimal_length']) }} USD
                                        <small class="d-block {{ $diff >= 0 ? 'text-success' : 'text-danger' }}">
                                            {{ ($diff >= 0 ? '+' : '').$diff }} USD
                                        </small>
                                    </td>
                                @else
                                    <td></td>
                                    <td></td>
                                @endif
                            </tr>
                        @empty
                            <tr>
                                <td colspan="8">참여 내역이 없습니다</td>
                            </tr>
                        @endforelse
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
@endsection
